Bug 1740945 - [RFE] When you're syncing a capsule, the progress bar should be more accurate
Summary: [RFE] When you're syncing a capsule, the progress bar should be more accurate
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule - Content
Version: 6.5.0
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-13 23:25 UTC by Peter Gervase
Modified: 2021-01-19 21:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-19 21:34:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Peter Gervase 2019-08-13 23:25:33 UTC
1. Proposed title of this feature request
[RFE] When you're syncing a capsule, the progress bar should be more accurate

3. What is the nature and description of the request?
Since you'd be syncing so many rpms, this is more of an issue when you are first syncing a capsule, but any time you are at https://satellite/smart_proxies/your-capsule, the green progress bar for Content Sync stays at 10 or 11% (10% for me verifying this now, it was 11% on the system where I first noticed this issue). You can tail the logs and see rpms getting transferred, but the progress bar in the webui does not reflect any change.

4. Why does the customer need this? (List the business requirements here)
It would be nice to have a rough idea of how long the sync will take. 

5. How would the customer like to achieve this? (List the functional requirements here)
They would like the webui to more accurately reflect the time spent and time left for the capsule sync.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
If the progress updated itself as it calculated how many rpms and what total file size would be transferred, this would be successfully implemented.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
Not that I saw.

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
No

9. Is the sales team involved in this request and do they have any additional input?
No

10. List any affected packages or components.
webui

11. Would the customer be able to assist in testing this functionality if implemented?
I could

Comment 2 Adam Ruzicka 2020-02-19 10:16:22 UTC
This is either capsule - content or repositories component. It will need to be fixed in actions in katello. Whoever will get to this, feel free to reach out to me if you need a hand.

Comment 3 Vladimír Sedmík 2020-04-29 12:13:57 UTC
Please also consider adding ETA time next to the progress bar, so that the customer has better idea when the sync should be done.

Comment 4 Mike McCune 2020-12-09 22:18:11 UTC
Upon review of our valid but aging backlog the Satellite Team has concluded that this Bugzilla does not meet the criteria for a resolution in the near term, and are planning to close in approximately a month. If you have any concerns about this, please contact your Red Hat Account team.  Thank you.

Comment 5 Mike McCune 2021-01-19 21:27:29 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact your Red Hat Account Team. Thank you.


Note You need to log in before you can comment on or make changes to this bug.